public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in net-irc/rbot: metadata.xml rbot-9999-r8.ebuild ChangeLog
@ 2008-06-23 14:51 Diego Petteno (flameeyes)
  0 siblings, 0 replies; only message in thread
From: Diego Petteno (flameeyes) @ 2008-06-23 14:51 UTC (permalink / raw
  To: gentoo-commits

flameeyes    08/06/23 14:51:13

  Modified:             metadata.xml rbot-9999-r8.ebuild ChangeLog
  Log:
  Add a few more USE flags to enable/disable the plugins that use external commands (and proper dependencies on them).
  (Portage version: 2.2_rc1/cvs/Linux 2.6.25-gentoo-r4 x86_64)

Revision  Changes    Path
1.8                  net-irc/rbot/metadata.xml

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/rbot/metadata.xml?rev=1.8&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/rbot/metadata.xml?rev=1.8&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/rbot/metadata.xml?r1=1.7&r2=1.8

Index: metadata.xml
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-irc/rbot/metadata.xml,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- metadata.xml	27 Dec 2007 13:46:04 -0000	1.7
+++ metadata.xml	23 Jun 2008 14:51:12 -0000	1.8
@@ -40,5 +40,26 @@
     to enable the "dict" plugin for rbot. If the USE flag is disabled
     the plugin is also disabled by default.
   </flag>
+  <flag name="figlet">
+    Add dependency over <pkg>app-misc/figlet</pkg>, which is needed to
+    enable the "figlet" plugin for rbot. If the USE flag is disable
+    dthe plugin is also disabled by default.
+  </flag>
+  <flag name="fortune">
+    Add dependency over <pkg>games-misc/fortune-mod</pkg>, which is
+    needed to enable the "fortune" plugin for rbot. If the USE flag is
+    disable dthe plugin is also disabled by default.
+  </flag>
+  <flag name="cal">
+    Add dependency over a package providing the /usr/bin/cal command,
+    which is needed to enable the "cal" plugin for rbot. If the USE
+    flag is disable dthe plugin is also disabled by default.
+  </flag>
+  <flag name="host">
+    Add dependency over <pkg>net-dns/bind-tools</pkg> (providing
+    /usr/bin/host), which is needed to enable the "host" plugin for
+    rbot. If the USE flag is disable dthe plugin is also disabled by
+    default.
+  </flag>
 </use>
 </pkgmetadata>



1.2                  net-irc/rbot/rbot-9999-r8.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/rbot/rbot-9999-r8.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/rbot/rbot-9999-r8.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/rbot/rbot-9999-r8.ebuild?r1=1.1&r2=1.2

Index: rbot-9999-r8.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-irc/rbot/rbot-9999-r8.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- rbot-9999-r8.ebuild	13 Feb 2008 17:32:29 -0000	1.1
+++ rbot-9999-r8.ebuild	23 Jun 2008 14:51:12 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2008 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-irc/rbot/rbot-9999-r8.ebuild,v 1.1 2008/02/13 17:32:29 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-irc/rbot/rbot-9999-r8.ebuild,v 1.2 2008/06/23 14:51:12 flameeyes Exp $
 
 inherit ruby gems eutils
 
@@ -29,7 +29,11 @@
 	translator? ( dev-ruby/mechanize )
 	shorturl? ( dev-ruby/shorturl )
 	nls? ( dev-ruby/ruby-gettext )
-	dict? ( dev-ruby/ruby-dict )"
+	dict? ( dev-ruby/ruby-dict )
+	figlet? ( app-misc/figlet )
+	fortune? ( games-misc/fortune-mod )
+	cal? ( || ( sys-apps/util-linux sys-freebsd/freebsd-ubin ) )
+	host? ( net-dns/bind-tools )"
 DEPEND=""
 
 if [[ ${PV} == "9999" ]]; then
@@ -103,6 +107,10 @@
 	use translator || disable_rbot_plugin translator
 	use shorturl || disable_rbot_plugin shortenurls
 	use dict || disable_rbot_plugin dictclient
+	use figlet || disable_rbot_plugin figlet
+	use fortune || disable_rbot_plugin fortune
+	use cal || disable_rbot_plugin cal
+	use host || disable_rbot_plugin host
 
 	# This is unfortunately pretty manual at the moment, but it's just
 	# to avoid having to run special scripts to package new versions



1.29                 net-irc/rbot/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/rbot/ChangeLog?rev=1.29&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/rbot/ChangeLog?rev=1.29&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/rbot/ChangeLog?r1=1.28&r2=1.29

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-irc/rbot/ChangeLog,v
retrieving revision 1.28
retrieving revision 1.29
diff -u -r1.28 -r1.29
--- ChangeLog	13 Feb 2008 17:32:29 -0000	1.28
+++ ChangeLog	23 Jun 2008 14:51:12 -0000	1.29
@@ -1,6 +1,11 @@
 # ChangeLog for net-irc/rbot
 # Copyright 2000-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-irc/rbot/ChangeLog,v 1.28 2008/02/13 17:32:29 flameeyes Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-irc/rbot/ChangeLog,v 1.29 2008/06/23 14:51:12 flameeyes Exp $
+
+  23 Jun 2008; Diego Pettenò <flameeyes@gentoo.org> metadata.xml,
+  rbot-9999-r8.ebuild:
+  Add a few more USE flags to enable/disable the plugins that use external
+  commands (and proper dependencies on them).
 
 *rbot-9999-r8 (13 Feb 2008)
 



-- 
gentoo-commits@lists.gentoo.org mailing list



^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2008-06-23 15:22 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2008-06-23 14:51 [gentoo-commits] gentoo-x86 commit in net-irc/rbot: metadata.xml rbot-9999-r8.ebuild ChangeLog Diego Petteno (flameeyes)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox